Name:           atanks
Version:        3.9
Release:        1%{?dist}
Summary:        Remake of a classic DOS game "Scorched Earth"

Group:          Amusements/Games
License:        GPLv2+
URL:            http://atanks.sourceforge.net/
Source0:        http://download.sourceforge.net/atanks/atanks-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  allegro-devel, desktop-file-utils

%description
Atomic Tanks is a game in which you control an overly-powerful
tank and attempt to blow up other highly powerful tanks. Players
get to select a number of weapons and defensive items and then
attack each other in a turn-based manner. The last tank standing
is the winner.


%prep
%setup -q


%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 0755 \
    $RPM_BUILD_ROOT%{_datadir}/games/atanks \
    $RPM_BUILD_ROOT%{_bindir} \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps \
    $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 0644 *.txt $RPM_BUILD_ROOT%{_datadir}/games/atanks/
install -p -m 0755 atanks $RPM_BUILD_ROOT%{_bindir}/
install -p -m 0644 atanks.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install \
    --mode 0644 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    atanks.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog COPYING README TODO
%{_datadir}/games/atanks
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_bindir}/atanks


%changelog
* Thu Sep 17 2009 Jon Ciesla <limb@jcomserv.net> - 3.9-1
- Upstream 3.9

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.7-1
- Upstream 3.7

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.2-1
- Upstream 3.2
- Use upstream atanks.png

* Sat Apr 12 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.9-1
- Upstream 2.9

* Sun Dec 23 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.7-1
- Upstream 2.7

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.5-1
- Upstream 2.5
- Appease license naming gods

* Mon Jul 02 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4-1
- Importing into Fedora CVS and building.

* Fri Jun 29 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4-0.1
- Initial packaging for Fedora.
